package net.sourceforge.ganttproject.datafilter;

import org.eclipse.core.runtime.IStatus;

import net.sourceforge.ganttproject.task.Task;

/**
 * Interface for quick fix options in filter tree (on task right mouse button click). 
 * 
 * Created 26.02.2008
 * 
 * @author Joanna Muras 
 */
public interface AutoFix {
    /** Description of auto fix option - shown in menu */
    String getDescription();
    /** Task for which run action should be applied */
    Task getTask();
    /** Action on quick fix option choice */
    IStatus run();
}

